Bug 14873 - Remove C4::Dates from reserve/request.pl
Summary: Remove C4::Dates from reserve/request.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-22 14:34 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14873 - Remove C4::Dates from reserve/request.pl (3.16 KB, patch)
2015-09-22 15:15 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14873 - Remove C4::Dates from reserve/request.pl (3.21 KB, patch)
2015-09-23 13:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 14873 - Remove C4::Dates from reserve/request.pl (3.29 KB, patch)
2015-09-24 10:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-22 14:34:36 UTC
Patch to remove Remove C4::Dates from reserve/request.pl
Comment 1 Marc Véron 2015-09-22 15:15:35 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2015-09-23 13:45:49 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-09-23 15:05:52 UTC
Marc,
Don't you think it is worth to use the KohaDates plugin in the templates and not manage at all the date formatting in the perl script?
Comment 4 Marc Véron 2015-09-24 06:09:05 UTC
Jonathan,

My aim is to get rid of C4::Dates as soon as possible, and touching as less files as possible, to finally be able to resolve Bug 12072 - New dateformat dd.mm.yyyy. 

12072 is open since April 2014, blocked because C4::Dates is deprecated, really needed here - and hopefully resolved with the next release.

There are a lot more places to be worked on (see Bug 14870), that's why I choose the fastest track (touch as less files as possible) - and because I'm running out of my (until now purely voluntary) time.

Any help to move things forward (with or without KohaDates plugin) is really appreciated.

Marc
Comment 5 Jonathan Druart 2015-09-24 10:16:31 UTC
Created attachment 42835 [details] [review]
Bug 14873 - Remove C4::Dates from reserve/request.pl

This bug removes deprecated C4::Dates from reserve/request.pl

To test:
- Apply patch
- In staff client, search a biblio and try to put a hold for a borrower (Home > Catalog > [Some Biblio] > Place a hold to [Some biblio])

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2015-09-24 10:16:46 UTC
Ok Marc, agreed! :)
Comment 7 Tomás Cohen Arazi 2015-09-25 14:58:11 UTC
Patch pushed to master.

Thanks Marc!